Bug 6229 - Active Directory User and Computer refuse to browse Samba4 domain on Windows 2008
Active Directory User and Computer refuse to browse Samba4 domain on Windows ...
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
Other Linux
: P3 normal
: ---
Assigned To: Andrew Bartlett
Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-28 06:29 UTC by Matthieu Patou
Modified: 2009-06-12 14:59 UTC (History)
0 users

See Also:


Attachments
Proposed patch for implementing supportedCapbilites in rootdse (1.57 KB, patch)
2009-06-11 15:44 UTC, Matthieu Patou
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Patou 2009-03-28 06:29:34 UTC
When trying to open Active Directory User and Computer tool in a Windows 2008 server that is part of a Samba4 domain I had the error : 
"directory property cannot be found in the cache" 

I got it with the lastest samba4 commit and even with wspp-schema branch.
Comment 1 Matthieu Patou 2009-03-28 06:36:33 UTC
After some investigation I came to the conclusion that Windows 2008 is expecting this attribute in the rootDSE :SupportedCapabilities. 
Adding this attribute directly into the sam.ldb file had prouved to be enought to solve the problem.

This attribute should have at least this value: 1.2.840.113556.1.4.800
But as Samba4 is capable we can add this value: 1.2.840.113556.1.4.1791

In this email I made the description of those OID:

http://lists.samba.org/archive/samba-technical/2009-March/063891.html

Comment 2 Matthieu Patou 2009-06-11 15:44:07 UTC
Created attachment 4279 [details]
Proposed patch for implementing supportedCapbilites in rootdse
Comment 3 Matthias Dieter Wallnöfer 2009-06-12 14:59:44 UTC
Good, that should be fixed! Thanks for reporting this.